define(["kendo"], function(kendo)
{
	var myViewModel = kendo.observable({});

	var init = function()
	{
		console.log("Initializing the datasource");
		var myDs = new kendo.data.DataSource({
			data: [{id: 1, name: 'Person 1'}, {id: 2, name: 'Person 2'} ],
			change: function(e)
			{
				console.log("myDs changed");
			},
			error: function(e)
			{
				console.log("myDs error");
			},
			requestStart: function(e)
			{
				console.log("myDs request start");
			},
			requestEnd: function(e)
			{
				console.log("myDs request end");
			}
		});

		myViewModel.set("myDs", myDs);
	};

	return {
		model: myViewModel,
		init: init
	};
});