require.config({
    paths: {
        jQuery: "lib/jquery/jquery.min",
        kendo: "lib/kendo/kendo.mobile.min"
    },
    shim: {
        jQuery: {
            exports: "jQuery"
        },
        kendo: {
            deps: ["jQuery"],
            exports: "kendo"
        }
    }
});


var app;

require(["app/app"], function(application)
{
	console.log("initializing app");
	app = application;
	application.init();
});